{ pkgs, ... }:

{
  # TODO Not working correctly, see https://github.com/hyprwm/hyprcursor/issues/19
  home.packages = with pkgs; [
    hyprcursor
  ];

  # TODO remove in favour of hyprland flake?
  home.file = {
    ".local/share/icons/rose-pine-hyprcursor/manifest.hl".source = ./manifest.hl;
    ".local/share/icons/rose-pine-hyprcursor/hyprcursors" = {
      source = ./hyprcursors;
      recursive = true;
    };
  };
}
